--- a/alterator.spec	2019-01-15 05:47:58.304141506 +0300
+++ b/alterator.spec	2019-01-15 05:47:58.306141482 +0300
@@ -78,7 +78,7 @@
 mkdir -p %buildroot%_cachedir/%name
 mkdir -p %buildroot%_localstatedir/%name
 mkdir -p %buildroot%_sysconfdir/%name
-mkdir -p %buildroot%_sysconfdir/tmpfiles.d
+mkdir -p %buildroot%_tmpfilesdir
 mkdir -p %buildroot%_rpmmacrosdir
 
 install -Dpm640 alterator-chkpwd.pamd %buildroot%_sysconfdir/pam.d/alterator-chkpwd
@@ -91,7 +91,7 @@
 %%_alterator_backend3dir %%_alterator_libdir/backend3
 EOF
 
-cat >%buildroot%_sysconfdir/tmpfiles.d/%name.conf<<EOF
+cat >%buildroot%_tmpfilesdir/%name.conf<<EOF
 d /var/run/alteratord 0710 root _alteratord -
 EOF
 
@@ -117,7 +117,7 @@
 %config(noreplace) %_sysconfdir/%name/menu
 %attr(700,root,root) %dir %_cachedir/%name
 %attr(700,root,root) %dir %_localstatedir/%name
-%_sysconfdir/tmpfiles.d/%name.conf
+%_tmpfilesdir/%name.conf
 
 %_datadir/guile/%guile_version/alterator
 %_libdir/*.so.*
--- a/amavisd-new.spec	2019-01-15 05:47:58.373140668 +0300
+++ b/amavisd-new.spec	2019-01-15 05:47:58.377140620 +0300
@@ -210,7 +210,7 @@
 mkdir -p \
 	%buildroot%_initdir \
 	%buildroot%_sysconfdir/amavis \
-	%buildroot%_sysconfdir/tmpfiles.d \
+	%buildroot%_tmpfilesdir \
 	%buildroot%_sbindir \
 	%buildroot%_bindir \
 	%buildroot%_spooldir/amavis \
@@ -247,7 +247,7 @@
 install -m 755 %SOURCE10 %buildroot%_controldir/amavisd-av
 install -m 755 %SOURCE11 %buildroot%_controldir/amavisd-spam
 
-install -m 644 %SOURCE12 %buildroot%_sysconfdir/tmpfiles.d/amavisd.conf
+install -m 644 %SOURCE12 %buildroot%_tmpfilesdir/amavisd.conf
 
 %post
 %post_service amavisd
@@ -260,7 +260,7 @@
 %doc LDAP.schema TODO
 %doc README.ALT.UTF README.ALT.KOI8-R
 %config %_initdir/amavisd
-%config %_sysconfdir/tmpfiles.d/amavisd.conf
+%config %_tmpfilesdir/amavisd.conf
 # %attr(640,root,mail) %config(noreplace) %_sysconfdir/amavis/amavisd.conf
 %_controldir/amavisd-*
 %attr(750,root,mail) %dir %_sysconfdir/amavis/conf.d
--- a/apache2.spec	2019-01-15 05:47:58.450139735 +0300
+++ b/apache2.spec	2019-01-15 05:47:58.477139408 +0300
@@ -1150,7 +1150,7 @@
 install -pD %SOURCE63 %buildroot%condstopstart_webdir/%apache2_dname-condstart-rpm
 
 # Install config for tempfiles
-install -pD -m 644 %SOURCE15 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -pD -m 644 %SOURCE15 %buildroot%_tmpfilesdir/%name.conf
 
 # Install scripts for SSL cert
 install -pD -m 644 %SOURCE70 %buildroot%apache2_sslcertshfunctions
@@ -1520,7 +1520,7 @@
 %exclude %docdir/README-itk.*
 %doc %docdir/CHANGES
 
-%config %_sysconfdir/tmpfiles.d/*
+%config %_tmpfilesdir/*
 
 %attr(2770,root,%apache2_group) %dir %apache2_proxycachedir/
 %attr(750,root,%apache2_group) %dir %apache2_spooldir/
--- a/bacula.spec	2019-01-15 05:47:58.938133818 +0300
+++ b/bacula.spec	2019-01-15 05:47:58.961133538 +0300
@@ -287,8 +287,8 @@
 install -pm 755 %SOURCE2 %buildroot%_initdir/bacula-fd
 install -pm 755 %SOURCE3 %buildroot%_initdir/bacula-sd
 
-mkdir -p %buildroot%_sysconfdir/tmpfiles.d/
-install -pm 0644 %SOURCE11 %buildroot%_sysconfdir/tmpfiles.d/bacula.conf
+mkdir -p %buildroot%_tmpfilesdir/
+install -pm 0644 %SOURCE11 %buildroot%_tmpfilesdir/bacula.conf
 
 install -pD -m644 %_sourcedir/bacula.sysconfig \
 	%buildroot%_sysconfdir/sysconfig/bacula
@@ -472,7 +472,7 @@
 %dir %_datadir/bacula
 %dir %_datadir/bacula/scripts
 %dir %_docdir/bacula
-%_sysconfdir/tmpfiles.d/*
+%_tmpfilesdir/*
 %_man8dir/bacula.8.gz
 %_sbindir/bsmtp
 %_man1dir/bsmtp.1.gz
--- a/condstopstart.spec	2019-01-15 05:47:59.626125474 +0300
+++ b/condstopstart.spec	2019-01-15 05:47:59.627125462 +0300
@@ -30,13 +30,13 @@
 install -d %buildroot%condstopstart_subsysdir/
 install -d %buildroot%condstopstart_subsysrundir/
 
-install -pD -m 644 %SOURCE10 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -pD -m 644 %SOURCE10 %buildroot%_tmpfilesdir/%name.conf
 sed -i "
 	s|@RUNDIR@|%condstopstart_subsysrundir|g
-" %buildroot%_sysconfdir/tmpfiles.d/*
+" %buildroot%_tmpfilesdir/*
 
 %files
-%config %_sysconfdir/tmpfiles.d/*
+%config %_tmpfilesdir/*
 %attr(755,root,root) %dir %condstopstart_subsysdir/
 %attr(755,root,root) %dir %condstopstart_subsysrundir/
 
--- a/condstopstart.spec	2019-01-15 05:47:59.667124976 +0300
+++ b/condstopstart.spec	2019-01-15 05:47:59.668124964 +0300
@@ -44,13 +44,13 @@
 	" $condcommandfile
 done
 
-install -pD -m 644 %SOURCE10 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -pD -m 644 %SOURCE10 %buildroot%_tmpfilesdir/%name.conf
 sed -i "
 	s|@RUNDIR@|%condstopstart_webrundir|g
-" %buildroot%_sysconfdir/tmpfiles.d/*
+" %buildroot%_tmpfilesdir/*
 
 %files
-%config %_sysconfdir/tmpfiles.d/*
+%config %_tmpfilesdir/*
 %attr(755,root,root) %dir %condstopstart_webdir/
 %attr(755,root,root) %dir %condstopstart_webrundir/
 %_sbindir/*
--- a/cups.spec	2019-01-15 05:47:59.797123400 +0300
+++ b/cups.spec	2019-01-15 05:47:59.802123340 +0300
@@ -200,7 +200,7 @@
 install -Dpm 644 %SOURCE110 %buildroot%systemd_unitdir/%name.path
 install -Dpm 644 %SOURCE111 %buildroot%systemd_unitdir/%name.service
 install -Dpm 644 %SOURCE112 %buildroot%systemd_unitdir/%name.socket
-install -Dpm 644 %SOURCE113 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -Dpm 644 %SOURCE113 %buildroot%_tmpfilesdir/%name.conf
 
 
 # prepare the commands conflicting with LPD for the update-alternatives treatment
@@ -283,7 +283,7 @@
 %config(noreplace) %_sysconfdir/xinetd.d/%name-lpd
 %config(noreplace) %_sysconfdir/pam.d/%name
 %systemd_unitdir/%name.*
-%config(noreplace) %_sysconfdir/tmpfiles.d/%name.conf
+%config(noreplace) %_tmpfilesdir/%name.conf
 %_sysconfdir/control.d/facilities/%name
 %_initdir/%name
 %_altdir/%name
--- a/freeradius.spec	2019-01-15 05:48:01.120107356 +0300
+++ b/freeradius.spec	2019-01-15 05:48:01.128107260 +0300
@@ -166,7 +166,7 @@
 install -m 755 %SOURCE100 %buildroot%_initdir/radiusd
 install -m 644 %SOURCE102 %buildroot%_sysconfdir/logrotate.d/radiusd
 install -m 644 %SOURCE103 %buildroot%_sysconfdir/pam.d/radiusd
-install -m 644 %SOURCE104 %buildroot%_sysconfdir/tmpfiles.d/radiusd.conf
+install -m 644 %SOURCE104 %buildroot%_tmpfilesdir/radiusd.conf
 
 # remove unneeded stuff
 rm %buildroot%_sbindir/rc.radiusd
@@ -198,7 +198,7 @@
 %config(noreplace) %_sysconfdir/pam.d/radiusd
 %config(noreplace) %_sysconfdir/logrotate.d/radiusd
 %config(noreplace) %_initdir/radiusd
-%_sysconfdir/tmpfiles.d/radiusd.conf
+%_tmpfilesdir/radiusd.conf
 %dir %attr(775,root,radiusd) %_localstatedir/radiusd
 # configs
 %dir %attr(750,root,radiusd) %_sysconfdir/raddb
--- a/ndisc6.spec	2019-01-15 05:48:05.383055661 +0300
+++ b/ndisc6.spec	2019-01-15 05:48:05.385055636 +0300
@@ -53,7 +53,7 @@
 %find_lang %name
 touch %buildroot/%_runtimedir/rdnssd/resolv.conf
 install -Dm0755 %SOURCE1 %buildroot%_initdir/rdnssd
-install -Dm0644 %SOURCE2 %buildroot%_sysconfdir/tmpfiles.d/rdnssd.conf
+install -Dm0644 %SOURCE2 %buildroot%_tmpfilesdir/rdnssd.conf
 install -Dm0644 %SOURCE3 %buildroot%systemd_unitdir/rdnssd.service
 
 %pre -n rdnssd
@@ -77,7 +77,7 @@
 
 %files -n rdnssd
 %_initdir/rdnssd
-%_sysconfdir/tmpfiles.d/rdnssd.conf
+%_tmpfilesdir/rdnssd.conf
 %systemd_unitdir/rdnssd.service
 %_sysconfdir/rdnssd
 %_sbindir/rdnssd
--- a/net-snmp.spec	2019-01-15 05:48:05.437055006 +0300
+++ b/net-snmp.spec	2019-01-15 05:48:05.444054922 +0300
@@ -364,8 +364,8 @@
 install -p -m755 -D %SOURCE4 %buildroot%_initdir/snmptrapd
 
 # systemd stuff
-install -m 755 -d %buildroot%_sysconfdir/tmpfiles.d/
-install -m 644 %SOURCE9 %buildroot%_sysconfdir/tmpfiles.d/net-snmp.conf
+install -m 755 -d %buildroot%_tmpfilesdir/
+install -m 644 %SOURCE9 %buildroot%_tmpfilesdir/net-snmp.conf
 install -m 755 -d %buildroot%_unitdir
 install -m 644 %SOURCE10 %SOURCE11 %buildroot%_unitdir/
 
@@ -430,7 +430,7 @@
 %_man1dir/net-snmp-config.*
 
 %files -n %_name-snmpd
-%config(noreplace) %_sysconfdir/tmpfiles.d/net-snmp.conf
+%config(noreplace) %_tmpfilesdir/net-snmp.conf
 %config(noreplace) %_initdir/snmpd
 %config(noreplace) %_unitdir/snmpd.service
 %config(noreplace) %_sysconfdir/sysconfig/snmpd
--- a/nss-ldapd.spec	2019-01-15 05:48:05.729051466 +0300
+++ b/nss-ldapd.spec	2019-01-15 05:48:05.732051428 +0300
@@ -72,7 +72,7 @@
 mv %buildroot%_libdir/* %buildroot/%_lib/
 install -pD -m755 %SOURCE1 %buildroot%_initdir/nslcd
 install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/nslcd
-install -pD -m644 %SOURCE3 %buildroot%_sysconfdir/tmpfiles.d/nslcd.conf
+install -pD -m644 %SOURCE3 %buildroot%_tmpfilesdir/nslcd.conf
 %if_enabled systemd
 install -pD -m755 %SOURCE4 %buildroot/lib/systemd/system/nslcd.service
 %endif
@@ -169,7 +169,7 @@
 %attr(600,_nslcd,_nslcd) %config(noreplace) %verify(not md5 size mtime) %_sysconfdir/nslcd.conf
 %attr(711,_nslcd,root) %dir /var/run/nslcd
 %attr(666,_nslcd,_nslcd) %ghost /var/run/nslcd/socket
-%attr(644,root,root) %config(noreplace) %_sysconfdir/tmpfiles.d/nslcd.conf
+%attr(644,root,root) %config(noreplace) %_tmpfilesdir/nslcd.conf
 %if_enabled systemd
 %config(noreplace) /lib/systemd/system/*
 %endif
--- a/openct.spec	2019-01-15 05:48:05.909049282 +0300
+++ b/openct.spec	2019-01-15 05:48:05.911049258 +0300
@@ -129,8 +129,8 @@
 #mkdir -p %buildroot%_usr/libexec/hal
 #install -p -m755 etc/openct.hald %buildroot%_usr/libexec/hal/hald-addon-openct
 
-mkdir -p %buildroot%_sysconfdir/tmpfiles.d/
-cat >> %buildroot%_sysconfdir/tmpfiles.d/%{name}.conf <<@@@
+mkdir -p %buildroot%_tmpfilesdir/
+cat >> %buildroot%_tmpfilesdir/%{name}.conf <<@@@
 d /var/run/openct 0755 root root -
 @@@
 
@@ -155,7 +155,7 @@
 %_initdir/%name
 # copy documentation from %_builddir
 %dir %_var/run/openct
-%_sysconfdir/tmpfiles.d/%{name}.conf
+%_tmpfilesdir/%{name}.conf
 /lib/udev/openct_pcmcia
 /lib/udev/openct_serial
 /lib/udev/openct_usb
--- a/openstack-swift.spec	2019-01-15 05:48:05.967048580 +0300
+++ b/openstack-swift.spec	2019-01-15 05:48:05.974048494 +0300
@@ -230,8 +230,8 @@
 install -d -m 755 %{buildroot}%{_runtimedir}/swift/object-server
 install -d -m 755 %{buildroot}%{_runtimedir}/swift/proxy-server
 # Swift run directories
-mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
-install -p -m 0644 %{SOURCE20} %{buildroot}%{_sysconfdir}/tmpfiles.d/openstack-swift.conf
+mkdir -p %{buildroot}%_tmpfilesdir
+install -p -m 0644 %{SOURCE20} %{buildroot}%_tmpfilesdir/openstack-swift.conf
 # Install recon directory
 install -d -m 755 %{buildroot}%{_cachedir}/swift
 # Install home directory
@@ -309,7 +309,7 @@
 %{_mandir}/man1/swift-orphans.1*
 %{_mandir}/man1/swift-recon.1*
 %{_mandir}/man1/swift-ring-builder.1*
-%config(noreplace) %{_sysconfdir}/tmpfiles.d/openstack-swift.conf
+%config(noreplace) %_tmpfilesdir/openstack-swift.conf
 %dir %{_sysconfdir}/swift
 %config(noreplace) %attr(640, root, swift) %{_sysconfdir}/swift/swift.conf
 %dir %attr(0755, swift, root) %{_runtimedir}/swift
--- a/php5-fpm-fcgi.spec	2019-01-15 05:48:06.388043474 +0300
+++ b/php5-fpm-fcgi.spec	2019-01-15 05:48:06.391043438 +0300
@@ -124,8 +124,8 @@
 # config for logrotate
 install -pD -m644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/php5-fpm
 
-mkdir -p  %buildroot%_sysconfdir/tmpfiles.d
-echo 'd /var/run/php5-fpm 0775 root root' >> %buildroot%_sysconfdir/tmpfiles.d/php5-fpm.conf
+mkdir -p  %buildroot%_tmpfilesdir
+echo 'd /var/run/php5-fpm 0775 root root' >> %buildroot%_tmpfilesdir/php5-fpm.conf
 
 mkdir -p  %buildroot%_unitdir
 install -m 0644 %SOURCE5 %buildroot%_unitdir/php5-fpm.service
@@ -172,7 +172,7 @@
 %config(noreplace) %php5_sysconfdir/%php5_sapi/php.ini
 %config(noreplace) %php5_sysconfdir/%php5_sapi/browscap.ini
 %config(noreplace) %_sysconfdir/logrotate.d/php5-fpm
-%config(noreplace) %_sysconfdir/tmpfiles.d/php5-fpm.conf
+%config(noreplace) %_tmpfilesdir/php5-fpm.conf
 %php5_servicedir/%php5_sapi
 %config %_unitdir/php5-fpm.service
 %_man8dir/*
--- a/radvd.spec	2019-01-15 05:48:08.510017741 +0300
+++ b/radvd.spec	2019-01-15 05:48:08.512017716 +0300
@@ -51,7 +51,7 @@
 install -m 644 redhat/radvd.conf.empty %buildroot%_sysconfdir/radvd.conf
 install -m 755 %SOURCE1 %buildroot%_initdir/radvd
 install -m 644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/radvd
-install -Dm0644 %SOURCE3 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -Dm0644 %SOURCE3 %buildroot%_tmpfilesdir/%name.conf
 install -Dm0644 %SOURCE4 %buildroot%systemd_unitdir/%name.service
 
 %post
@@ -69,7 +69,7 @@
 %doc COPYRIGHT README CHANGES-1 INTRO.html TODO
 %config(noreplace) %_sysconfdir/%name.conf
 %config(noreplace) %_sysconfdir/sysconfig/%name
-%config %_sysconfdir/tmpfiles.d/%name.conf
+%config %_tmpfilesdir/%name.conf
 %config %systemd_unitdir/%name.service
 %_initdir/%name
 %dir %attr(0771,root,%_pseudouser_group) /var/run/radvd/
--- a/sa-content-filter.spec	2019-01-15 05:48:08.791014334 +0300
+++ b/sa-content-filter.spec	2019-01-15 05:48:08.792014322 +0300
@@ -32,7 +32,7 @@
 subst 's,@SOCKET@,%spamd_sock,' %buildroot%_bindir/content-filter
 install -Dpm755 %SOURCE2 %buildroot%spamd_dir/user_prefs
 install -Dpm755 %SOURCE3 %buildroot%_sysconfdir/%name/system
-install -Dpm644 %SOURCE4 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -Dpm644 %SOURCE4 %buildroot%_tmpfilesdir/%name.conf
 mkdir -p  %buildroot%_var/run/spamd/
 
 %pre
@@ -51,7 +51,7 @@
 
 %files
 %_sysconfdir/%name
-%_sysconfdir/tmpfiles.d/%name.conf
+%_tmpfilesdir/%name.conf
 %_bindir/*
 %attr(755,%spamd_user,%spamd_group) %dir %spamd_dir
 %attr(644,%spamd_user,%spamd_group) %spamd_dir/user_prefs
--- a/screen.spec	2019-01-15 05:48:08.918012794 +0300
+++ b/screen.spec	2019-01-15 05:48:08.920012770 +0300
@@ -73,7 +73,7 @@
 install -pD -m644 screen.pamd %buildroot/etc/pam.d/screen
 
 mkdir -p %buildroot{/var/run/screen,/etc/tmpfiles.d}
-echo 'd /var/run/screen 0775 root screen' > %buildroot/etc/tmpfiles.d/screen.conf
+echo 'd /var/run/screen 0775 root screen' > %buildroot%_tmpfilesdir/screen.conf
 
 mkdir -p %buildroot%_libexecdir/screen
 touch %buildroot%_libexecdir/screen/{tcb_chkpwd,utempter}
@@ -109,7 +109,7 @@
 %config(noreplace) /etc/screenrc
 %config(noreplace) /etc/screencap
 %config(noreplace) /etc/pam.d/screen
-/etc/tmpfiles.d/screen.conf
+%_tmpfilesdir/screen.conf
 
 %doc etc/*screenrc
 %doc NEWS README FAQ doc/README.DOTSCREEN doc/*.ps.*
--- a/sstp-client.spec	2019-01-15 05:48:09.467006136 +0300
+++ b/sstp-client.spec	2019-01-15 05:48:09.468006124 +0300
@@ -60,7 +60,7 @@
 install -c -m 755 sstpc.8 %buildroot%_man8dir
 
 install -c -d -m 755 %buildroot%_runtimedir/sstpc
-install -Dpm 644 %SOURCE2 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -Dpm 644 %SOURCE2 %buildroot%_tmpfilesdir/%name.conf
 
 %pre
 %_sbindir/groupadd -r -f sstpc
@@ -74,7 +74,7 @@
 %_man8dir/sstpc.8*
 %_libdir/pppd/%ppp_version/*.so
 %dir %attr(755,sstpc,sstpc) %_runtimedir/sstpc
-%config(noreplace) %_sysconfdir/tmpfiles.d/%name.conf
+%config(noreplace) %_tmpfilesdir/%name.conf
 %exclude %_libdir/pppd/%ppp_version/*.la
 
 %files -n libsstp
--- a/system-config-printer.spec	2019-01-15 05:48:09.576004814 +0300
+++ b/system-config-printer.spec	2019-01-15 05:48:09.577004802 +0300
@@ -56,8 +56,8 @@
 %makeinstall_std udevrulesdir=/lib/udev/rules.d \
 		 udevhelperdir=/lib/udev
 
-mkdir -p %buildroot/etc/tmpfiles.d/
-install -m0644 tmpfiles.conf %buildroot/etc/tmpfiles.d/system-config-printer.conf
+mkdir -p %buildroot%_tmpfilesdir/
+install -m0644 tmpfiles.conf %buildroot%_tmpfilesdir/system-config-printer.conf
 
 %find_lang system-config-printer
 
@@ -68,7 +68,7 @@
 %files udev
 /lib/udev/rules.d/*.rules
 /lib/udev/udev-*-printer
-/etc/tmpfiles.d/*
+%_tmpfilesdir/*
 
 %files -f system-config-printer.lang
 %doc ChangeLog README
